Page MenuHome

Can't select individual bones when in weight paint mode for grease pencil
Closed, ResolvedPublicBUG

Description

win 10
intel i5
amd radeon

blende 2.8
99d4321feff6

When creating a grease pencil object , and adding a bone system , it's impossible to select individual bones when in weight paint mode

-create grease pencil object

  • draw 3 circles (z axis ) inside the grease pencil object

-create armature BONE object , go into armature edit and create 3 bones ( 1 bone ffor each circle )
-ctrl-p , parent gpencil object to armature with automatic weight
-Now select the bone system and gp pencil object with shift -click and go into weight paint mode
-It is now impossible to select other bones

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from 90 to 50.

This is something not supported. Now you need select the weight group in the panel.

Not sure how we can implement the selection inside the grease pencil weight paint.

blender-2.80.0-git.0264d8390fa2-windows64
Grease Pencil
Win 7
Intel i7
Nvidia GTX 1080 ti

Not sure how we can implement the selection inside the grease pencil weight paint.

It used to be possible to select individual bones for weight painting in Grease pencil, but now It's impossible to select individual bones when in weight paint mode. Also, Blender crashes when trying to weight paint in Grease Pencil.
Grease Pencil gets a lot of love and is fantastic, but Weight Painting there needs improvement as well. I hope this can be done.

blender-2.80.0-git.27adc4aa3347-windows64
Grease Pencil
Win 7
Intel i7
Nvidia GTX 1080 ti
This issue is still not resolved yet and very important for making bone animation in grease pencil function well. I understand that it is hard having only Antonio on this task. Unfortunately, I am not a developer otherwise I would have gladly helped.
But please make this a high priority task. Thanks, Antonio, for the already made great improvements in Grease Pencil!

@Simone Lipschitz (illussimo) I have added your task as a ToDo for 2.81. For 2.80 no time (and resources) to do it.

Antonio Vazquez (antoniov) lowered the priority of this task from 50 to Normal.Jul 15 2019, 5:12 PM

@Antonio Vazquez (antoniov): Just noting that I am working on this (almost there...)

@Philipp Oeser (lichtwerk) It seems it is not an easy thing to resolve. In 2.81 this issue is not resolved and in today's built of 2.82 also not. Will it be resolved before 2.82 is released? This is not an unimportant issue. Could it have something to do with Lock Objects mode? That, even when it's unchecked it somehow still blocks bone selection in Grease Pencil's weight paint mode?

I had to postpone this a bit due to other duties, but will check again tomorrow [note to myself: also check if this changed in greasepencil-refactor branch...]

ronsn added a subscriber: ronsn.Apr 27 2020, 9:44 PM

@Philipp Oeser (lichtwerk) Do you see any chance to check this issue in the near future before LTS feature lock? :)

Sorry this slipped under the radar.
My understanding would be that this is a candidate for backporting into LTS once it is fixed/done (not sure if this would technically need to be a bug rather than a TODO though...)
In any case, will dust off the patch that I have lying around here and see if I can get the remaining bits in place...

Dalai Felinto (dfelinto) added a project: Restricted Project.Jun 17 2020, 4:19 PM

@Dalai Felinto (dfelinto) Unfortunately, this is still not solved in 2.31 LTS. I think it isn't just a papercut or nice to have. Wy shouldn't it work the same as in 3D mode? It worked before Grease Pencil was fully integrated into Blender. I mentioned in my previous post that it might have stopped working when Lock Object Modes was introduced. Even when it's unchecked it might not fully unlock for Grease Pencil. Maybe I'm wrong and the problem lies somewhere else but it feels like a bug that is somehow hard to spot. At the moment weight painting more complex characters is a tedious process, also a weight blurring brush would be a welcome addition.
I am sorry to put some more pressure on this but hope if not Philipp Oesser someone else will find time to pick up this task.
Anyway, thanks for all the great work already done.

Dalai Felinto (dfelinto) changed the subtype of this task from "To Do" to "Bug".Jul 22 2020, 9:50 AM

Changing this to bug as technically it is a bug. @Philipp Oeser (lichtwerk) or @Antonio Vazquez (antoniov) is this something still planned for 2.90?

OK, this is embarrasing, it slipped through a second time...
This is now on my desk [rebasing the old stuff as I write this]. If I cannot get it to work fully tomorrow, I'll pass this on to someone else.

In 2.83.4 LTS it is still not solved. Is this issue now passed on to someone that can solve this? Maybe there is someone who can fully dedicate time and love to GP weight painting? I think it should not wait for 2.9 but be part of 2.83.x LTS.

@Simone Lipschitz (illussimo) : D8483: Fix T63125: Gpencil: bones cannot be selected in weightpaint mode is in review now, it is working there. Patch is basically fine, just minor adjustments to take.

Once this patch lands in master (it will not make it into 2.90), we can consider backporting this to 2.83 LTS I think, yes.

Thanks for resolving this.
Will it now be part of 2.9.1? Will this be implemented in 2.83.6 LTS.?

Thanks for resolving this.
Will it now be part of 2.9.1? Will this be implemented in 2.83.6 LTS.?

Sorry it took soo long. It will be part if 2.91.
If this will be part of LTS I am not sure, @Jeroen Bakker (jbakker) would need to decide (I am not totally sure if this patch could be applied on the LTS branch out of the box)
It will be part in every new 2.91 build (starting tomorrow) from https://builder.blender.org/download/ [ please test, shout at me if there is something wrong ;) ]

@Philipp Oeser (lichtwerk) > It will be part in every new 2.91 build (starting tomorrow) from https://builder.blender.org/download/ [ please test, shout at me if there is something wrong ;) ]

Well, I tested it a few times and it still doesn't work in the build of today. (blender-2.91.0-27660b3cd90d-windows64) The only thing that it does when Ctrl-clicking a bone it brings you to Pose mode but the bone selected is not even active there. It was like this already in 2.8.3 but this is not how it should work. Maybe somebody else could have a good look into this.

@Simone Lipschitz (illussimo): Thx getting back!

Could it be that what you are experiencing is T80404: Selecting posebones while holding CTRL in weightpaint exits weightpaint mode?

How are you selecting the Armature and GPencil exactly to go to weightpaint on them?
Here is what I do:

  • In objectmode, select the Armature
  • select the GPencil object
  • go to Weightpaint mode
  • RMB select the bone (I am on right-click-select)

But there seems to be an issue with LMB select preference, not sure if this is related to T80404, will have to check on this (but it might be good to report this seperately - since the underlying functionality is there)
Note: Selecting with ALT+LMB seems to work with that preference -- but this is wrong.

Maybe somebody else could have a good look into this.

Dont give up on me just yet ;)

ronsn added a comment.EditedSep 17 2020, 7:55 PM

@Simone Lipschitz (illussimo) and/or @Philipp Oeser (lichtwerk) : If you open a new issue related to this one, could you please add me as a subscriber there too? 🙂

ronsn added a comment.Sep 17 2020, 8:29 PM

@Philipp Oeser (lichtwerk):

ALT + LMB works for me (because my system is set up for left click select). CTRL + LMB does not work.

Also rotation and scaling of the bones does not work while in Weight Paint mode (as for other objects). But that might be a different issue. Should I report it?

I don't give up on you, btw 😅

––––––––––––––––––––––––

System Information
Operating system: Linux-5.4.0-47-lowlatency-x86_64-with-debian-bullseye-sid 64 Bits
Graphics card: Mesa Intel(R) UHD Graphics 630 (CFL GT2) Intel 4.6 (Core Profile) Mesa 20.0.8

Blender Version
Version: 2.91.0 Alpha, branch: master, commit date: 2020-09-15 22:03, hash: rB6624c4c22514

Also rotation and scaling of the bones does not work while in Weight Paint mode (as for other objects). But that might be a different issue. Should I report it?

Thx noting, I reported T80904: GPencil: bones cannot be transformed when in weightpaint mode, fix incoming...

ALT + LMB works for me (because my system is set up for left click select). CTRL + LMB does not work.

Reported T80905: GPencil: bones cannot be selected using Ctrl + LMB (with Left Selection Preference), fix incoming...

@Philipp Oeser (lichtwerk): Thank you! Also for adding me as a subscriber for the other issues! 🙂

@Simone Lipschitz (illussimo) , @ronsn : fixed those two issues mentioned.

Could you try tomorrows 2.91 build from https://builder.blender.org/download/ and check if we are all happy now?
(again: feel free to shout at me if something goes wrong, your feedback is very valuable and helps making blender better!)

@Pablo Vazquez (pablovazquez) (Here is a new feature from @Philipp Oeser (lichtwerk) that might be interesting for your next stream:)

@Philipp Oeser (lichtwerk):

With left click select preferences it works now:

  1. In Object Mode, select the Armature with LMB
  2. SHIFT + LMB on the GPencil object
  3. go to Weightpaint Mode

––––NEW FEATURE:––––

  1. For weight painting you can now select a bone with CTRL+LMB in Weight Paint Mode
  2. and you can also grab/rotate/scale the bones in Weight Paint Mode too!

WOW! Thank you very much @Philipp Oeser (lichtwerk)! This is a big step!
You have implemented a new feature!
From a purely technical-historical point of view, this was not a bug at all, because the software did
exactly what it should do. But you have implemented a new feature that allows users to make the work easier to reach those things that otherwise were have been rather cumbersome.
Many, many, many thanks!
💖💖

I'm not only happy now. I am also happy that you have once again managed to solve a problem while remaining emphatic!

So if @Simone Lipschitz (illussimo) is also fine with the changes, we are all happy?

ronsn awarded a token.Sep 19 2020, 6:23 AM

@Philipp Oeser (lichtwerk) At last, you did it! It now works as it worked in 3D mode. Not a new feature, but after integrating Grease Pencil fully into Blender 2.8 it stopped working (indeed a bug) and was a difficult thing to get working again. Thank you for diving into this, staying resilient and solving this issue!
Now that you have solved this issue, could you improve GP weight painting by adding a Weight Blurring Brush (like there is in 3D mode)? I think this would be enough for 2D weight painting to make it completely useful. Thank you again.

ronsn added a comment.Sep 19 2020, 9:19 PM

[...]It now works as it worked in 3D mode. Not a new feature, but after integrating Grease Pencil fully into Blender 2.8 it stopped working (indeed a bug) [...]

Wait a minute! It was possible for Grease Pencil before? When?

@ronsn

Wait a minute! It was possible for Grease Pencil before? When?

It worked when GP was still a separate branch. It stopped working somewhere in May 2019, probably before, but then I started posting about this issue.
Well, it's resolved now! Thank you Phillip Oesser!